Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.ocr.OCRSettingData Class Reference

## Public Member Functions
| OCRSettingData ()
| Constructor.
| OCRSettingData (PDFDoc pdf_doc, Range page_range, boolean is_editable, OCRConfig ocr_config)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | getIs_editable ()
| Get decide whether the OCR result is editable. More...
OCRConfig | getOcr_config ()
| Get the OCRConfig object. More...
Range | getPage_range ()
| Get the range of pages that need to be OCR. More...
PDFDoc | getPdf_doc ()
| Get a valid PDF document that need to be OCR. More...
void | set (PDFDoc pdf_doc, Range page_range, boolean is_editable, OCRConfig ocr_config)
| Set value. More...
void | setIs_editable (boolean value)
| Set decide whether the OCR result is editable. More...
void | setOcr_config (OCRConfig value)
| Set the OCRConfig object. More...
void | setPage_range (Range value)
| Set the range of pages that need to be OCR. More...
void | setPdf_doc (PDFDoc value)
| Set a valid PDF document that need to be OCR. More...

## Detailed Description

This class represents setting data used for OCR.

## Constructor & Destructor Documentation

## ◆ OCRSettingData()

com.foxit.sdk.addon.ocr.OCRSettingData.OCRSettingData | ( | PDFDoc | pdf_doc,
|  | Range | page_range,
|  | boolean | is_editable,
|  | OCRConfig | ocr_config
| ) |  |

Constructor, with parameters.

Parameters

  [in] | pdf_doc | A valid PDF document.
  [in] | page_range | The range of pages that need to be OCR.
  [in] | is_editable | true means the OCR result is editable, false means the OCR result can only be searched but not be edited.
  [in] | ocr_config | The OCRConfig object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.ocr.OCRSettingData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getIs_editable()

com.foxit.sdk.addon.ocr.OCRSettingData.getIs_editable | ( |  | ) |

Get decide whether the OCR result is editable.

Returns
  Decide whether the OCR result is editable. true means the OCR result is editable. false means the OCR result can only be searched but not be edited.

## ◆ getOcr_config()

com.foxit.sdk.addon.ocr.OCRSettingData.getOcr_config | ( |  | ) |

Get the OCRConfig object.

Returns
  The OCRConfig object.

## ◆ getPage_range()

com.foxit.sdk.addon.ocr.OCRSettingData.getPage_range | ( |  | ) |

Get the range of pages that need to be OCR.

Returns
  The range of pages that need to be OCR.

## ◆ getPdf_doc()

com.foxit.sdk.addon.ocr.OCRSettingData.getPdf_doc | ( |  | ) |

Get a valid PDF document that need to be OCR.

Returns
  A valid PDF document that need to be OCR.

## ◆ set()

void com.foxit.sdk.addon.ocr.OCRSettingData.set | ( | PDFDoc | pdf_doc,
|  | Range | page_range,
|  | boolean | is_editable,
|  | OCRConfig | ocr_config
| ) |  |

Set value.

Parameters

  [in] | pdf_doc | A valid PDF document.
  [in] | page_range | The range of pages that need to be OCR.
  [in] | is_editable | true means the OCR result is editable, false means the OCR result can only be searched but not be edited.
  [in] | ocr_config | The OCRConfig object.

Returns
  None.

## ◆ setIs_editable()

com.foxit.sdk.addon.ocr.OCRSettingData.setIs_editable | ( | boolean | value | ) |

Set decide whether the OCR result is editable.

Parameters

  [in] | value | Decide whether the OCR result is editable. true means the OCR result is editable. false means the OCR result can only be searched but not be edited.

Returns
  None.

## ◆ setOcr_config()

com.foxit.sdk.addon.ocr.OCRSettingData.setOcr_config | ( | OCRConfig | value | ) |

Set the OCRConfig object.

Parameters

  [in] | value | The OCRConfig object.

Returns
  None.

## ◆ setPage_range()

com.foxit.sdk.addon.ocr.OCRSettingData.setPage_range | ( | Range | value | ) |

Set the range of pages that need to be OCR.

Parameters

  [in] | value | The range of pages that need to be OCR.

Returns
  None.

## ◆ setPdf_doc()

com.foxit.sdk.addon.ocr.OCRSettingData.setPdf_doc | ( | PDFDoc | value | ) |

Set a valid PDF document that need to be OCR.

Parameters

  [in] | value | A valid PDF document that need to be OCR.

Returns
  None.